org.eclipse.eef.properties.ui.internal.registry

## Class EEFTabbedPropertyRegistry

- java.lang.Object
- - org.eclipse.eef.properties.ui.internal.registry.EEFTabbedPropertyRegistry

    public class EEFTabbedPropertyRegistry
    extends java.lang.Object

Provides information about the tabbed property extension points. Each tabbed property registry is associated with a unique contributor ID.

### Constructor Summary

Constructors
Constructor and Description
`EEFTabbedPropertyRegistry()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static EEFTabbedPropertyRegistry` `getDefault(IEEFTabbedPropertySheetPageContributor eefContributor)` Returns the sole instance of the registry.
`java.util.List<IEEFTabDescriptor>` `getTabDescriptors(org.eclipse.ui.IWorkbenchPart part, org.eclipse.jface.viewers.ISelection input)` Returns the descriptors.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EEFTabbedPropertyRegistry

    public EEFTabbedPropertyRegistry()

### Method Detail

#### getDefault

    public static EEFTabbedPropertyRegistry getDefault(IEEFTabbedPropertySheetPageContributor eefContributor)

Returns the sole instance of the registry.

Parameters:
  `eefContributor` - The contributor
Returns:
  The sole instance of the registry

#### getTabDescriptors

    public java.util.List<IEEFTabDescriptor> getTabDescriptors(org.eclipse.ui.IWorkbenchPart part,
                                                               org.eclipse.jface.viewers.ISelection input)

Returns the descriptors.

Parameters:
  `part` - The current part
  `input` - The current selection
Returns:
  The descriptors for the given part and selection